> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Create an account type

POST https://api.sigmacomputing.com/v2/accountTypes
Content-Type: application/json

Create a custom account type with specified permissions.

  ### Usage notes
  - To perform this operation, you must use API credentials owned by a user assigned the Admin account type.
  - Use the permission names from the [/v2/accountTypes/:accountTypeId/permissions](https://help.sigmacomputing.com/reference/list-account-type-permissions) endpoint.

  ### Usage scenarios
  - Create custom account types to define specific permission sets for your organization's users.
  

Reference: https://help.sigmacomputing.com/reference/create-account-type

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/accountTypes:
    post:
      operationId: createAccountType
      summary: Create an account type
      description: |-
        Create a custom account type with specified permissions.

          ### Usage notes
          - To perform this operation, you must use API credentials owned by a user assigned the Admin account type.
          - Use the permission names from the [/v2/accountTypes/:accountTypeId/permissions](https://help.sigmacomputing.com/reference/list-account-type-permissions) endpoint.

          ### Usage scenarios
          - Create custom account types to define specific permission sets for your organization's users.
          
      tags:
        - accountTypes
      parameters:
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '201':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/accountTypes_createAccountType_Response_201
      requestBody:
        description: The request body.
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The name of the account type.
                description:
                  type: string
                  description: A description of the account type.
                permissions:
                  type: array
                  items:
                    type: string
                  description: >-
                    An array of permissions to enable for this account type. Use
                    the permission names from the
                    [/v2/accountTypes/:accountTypeId/permissions](https://help.sigmacomputing.com/reference/list-account-type-permissions)
                    endpoint.
              required:
                - name
                - description
                - permissions
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    accountTypes_createAccountType_Response_201:
      type: object
      properties:
        accountTypeId:
          type: string
          description: The unique identifier of the account type.
        accountTypeName:
          type: string
          description: The name of the account type.
        description:
          type: string
          description: >-
            A human-readable description of the permissions and capabilities
            provided by this account type.
        isCustom:
          type: boolean
          description: >-
            Whether this is a custom account type created by the organization
            (true) or a default Sigma account type (false).
      required:
        - accountTypeId
        - accountTypeName
        - description
        - isCustom
      title: accountTypes_createAccountType_Response_201
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Request**

```json
{
  "name": "Data Analyst",
  "description": "Custom account type with permissions tailored for data analysts to view and analyze datasets.",
  "permissions": [
    "view_datasets",
    "create_reports",
    "export_data"
  ]
}
```

**Response**

```json
{
  "accountTypeId": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
  "accountTypeName": "Data Analyst",
  "description": "Custom account type with permissions tailored for data analysts to view and analyze datasets.",
  "isCustom": true
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/accountTypes"

payload = {
    "name": "Data Analyst",
    "description": "Custom account type with permissions tailored for data analysts to view and analyze datasets.",
    "permissions": ["view_datasets", "create_reports", "export_data"]
}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/accountTypes';
const options = {
  method: 'POST',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{"name":"Data Analyst","description":"Custom account type with permissions tailored for data analysts to view and analyze datasets.","permissions":["view_datasets","create_reports","export_data"]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/accountTypes"

	payload := strings.NewReader("{\n  \"name\": \"Data Analyst\",\n  \"description\": \"Custom account type with permissions tailored for data analysts to view and analyze datasets.\",\n  \"permissions\": [\n    \"view_datasets\",\n    \"create_reports\",\n    \"export_data\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/accountTypes")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Data Analyst\",\n  \"description\": \"Custom account type with permissions tailored for data analysts to view and analyze datasets.\",\n  \"permissions\": [\n    \"view_datasets\",\n    \"create_reports\",\n    \"export_data\"\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.sigmacomputing.com/v2/accountTypes")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Data Analyst\",\n  \"description\": \"Custom account type with permissions tailored for data analysts to view and analyze datasets.\",\n  \"permissions\": [\n    \"view_datasets\",\n    \"create_reports\",\n    \"export_data\"\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.sigmacomputing.com/v2/accountTypes', [
  'body' => '{
  "name": "Data Analyst",
  "description": "Custom account type with permissions tailored for data analysts to view and analyze datasets.",
  "permissions": [
    "view_datasets",
    "create_reports",
    "export_data"
  ]
}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/accountTypes");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Data Analyst\",\n  \"description\": \"Custom account type with permissions tailored for data analysts to view and analyze datasets.\",\n  \"permissions\": [\n    \"view_datasets\",\n    \"create_reports\",\n    \"export_data\"\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Data Analyst",
  "description": "Custom account type with permissions tailored for data analysts to view and analyze datasets.",
  "permissions": ["view_datasets", "create_reports", "export_data"]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/accountTypes")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```